var scriptName = "Real bobbing";
var scriptAuthor = "Soulplexis";
var scriptVersion = 1.0;


function Emo() {

    var ticks = 0;

    this.getName = function() {
        return "RealBobbing";
    }

    this.getCategory = function() {
        return "Render";   
    }

    this.getDescription = function() {
        return "View bobbing like real life";
    }

    this.onMotion = function() {
		if (mc.gameSettings.keyBindForward.isKeyDown() || mc.gameSettings.keyBindLeft.isKeyDown() || mc.gameSettings.keyBindRight.isKeyDown() || mc.gameSettings.keyBindBack.isKeyDown()) {
		mc.thePlayer.cameraYaw = 0.025;
    	}
		    if(!mc.thePlayer.onGround) {
			mc.thePlayer.cameraYaw = 0.0;
		}
    }
}

var emo = new Emo();
var emoClient;

function onEnable() {
    emoClient = moduleManager.registerModule(emo);
}

function onDisable() {
    moduleManager.unregisterModule(emoClient);
}